package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TPatient;
import com.ruoyi.system.domain.req.PcTPatintQueryByPageReq;
import com.ruoyi.system.domain.resp.PcTPatientQueryByPageResp;
import tk.mybatis.mapper.common.Mapper;

/**
 * 患者信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public interface TPatientMapper
{
    /**
     * 查询患者信息
     * 
     * @param id 患者信息主键
     * @return 患者信息
     */
    public TPatient selectTPatientById(Long id);

    /**
     * 查询患者信息列表
     * 
     * @param tPatient 患者信息
     * @return 患者信息集合
     */
    public List<TPatient> selectTPatientList(TPatient tPatient);

    /**
     * 新增患者信息
     * 
     * @param tPatient 患者信息
     * @return 结果
     */
    public int insertTPatient(TPatient tPatient);

    /**
     * 修改患者信息
     * 
     * @param tPatient 患者信息
     * @return 结果
     */
    public int updateTPatient(TPatient tPatient);

    /**
     * 删除患者信息
     * 
     * @param id 患者信息主键
     * @return 结果
     */
    public int deleteTPatientById(Long id);

    /**
     * 批量删除患者信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTPatientByIds(Long[] ids);

    public TPatient queryTPatient(TPatient tPatient);

    List<PcTPatientQueryByPageResp> queryByPage(PcTPatintQueryByPageReq pcTPatintQueryByPageReq);
}
